<?php
/* Mantenimiento de los registros de la tabla cr_colaborador_file redefinidos por el usaurio */
class Cr_colaborador_fileDP extends BaseCr_colaborador_fileDP
{
    public static function getNextId()
    {
        $s_Sql = "SELECT IF( MAX( IdColaboradorFile ) IS NULL, 1, MAX( IdColaboradorFile ) + 1 ) I_ID FROM cr_colaborador_file;";
        $o_Resource = Conexion2::getConexion()->getResource();
        $o_SQLResult = mysql_query( $s_Sql, $o_Resource );
        if( $o_SQLResult )
        {
            $a_SQLRow = mysql_fetch_object( $o_SQLResult );
            return ( int ) $a_SQLRow->I_ID;
        }
        return 1;
    }
}
?>